Skip to main content
DELETE
/
v0
/
chatbots
/
{chatbotId}
Delete Chatbot
curl --request DELETE \
  --url https://sitegpt.ai/api/v0/chatbots/{chatbotId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://sitegpt.ai/api/v0/chatbots/{chatbotId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://sitegpt.ai/api/v0/chatbots/{chatbotId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "Deleted the chatbot successfully",
  "data": null
}
{
"success": false,
"message": "Failed to delete the chatbot",
"data": null,
"error": {
"code": "CHATBOT_ID_REQUIRED",
"message": "chatbotId is required",
"details": null
}
}
{
"success": false,
"message": "Failed to delete the chatbot",
"data": null,
"error": {
"code": "API_KEY_NOT_VALID",
"message": "Authorization header does not contain valid API key",
"details": null
}
}
{
"success": false,
"message": "Failed to delete the chatbot",
"data": null,
"error": {
"code": "CHATBOT_DELETE_FORBIDDEN",
"message": "You are not authorized to delete this chatbot",
"details": null
}
}
{
"success": false,
"message": "Failed to update the chatbot",
"data": null,
"error": {
"code": "REQUEST_METHOD_NOT_ALLOWED",
"message": "POST request method is not allowed",
"details": null
}
}
{
"success": false,
"message": "Failed to delete the chatbot",
"data": null,
"error": {
"code": "CHATBOT_DELETE_FAILED",
"message": "Some technical error has occurred !!",
"details": null
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chatbotId
string
required

Id of the chatbot

Response

OK

Success Response

success
boolean

Indicates whether this is success response or error response

message
string

Overall message regarding the operation performed

data
object | null

Data returned from the server